#include <iostream>
#include <string>
#include <cmath>
using namespace std;
int main(){
    long long c[20],n,n2,d;
    d=0;
    cin>>n;
    n2=n;
    for(int i=1;n!=0;i++){
        c[i]=n%10;
        n=(n-n%10)/10;
    }
    for(int i=1;n2!=0;i++){
        n2=(n2-n2%10)/10;
        if ((c[i]==0) && (d==0)){
        }
        else{
            d=1;
            if (c[i]== 2){
                cout<<5;
            }else if (c[i]== 5){
                cout<<2;
            }
            else {
                cout<<c[i];
            }
        }
    }
}